<ui-view/>
<div class="grid">
  	<header class="row clearfix no-padding">
  		<div class="col-2-3">
  			<h2>Ägarkontroll</h2>
  		</div>
  	</header>
  	<div class="row clearfix">
		<div svab-feedback-target="admin.companygroup.get"></div>
		<div svab-feedback-target="admin.companygroup.edit"></div>
		<a ui-sref-active="active-link" ui-sref="user.administration.main">Tillbaka</a><br/>
	</div>
	<div class="row clearfix">
		<div class="col-1">
			<form name="fetchForm" novalidate>
				<fieldset>
					<div class="col-1-2">
						<p><label class="form-required">Organisationsnummer</label>
						<input name="orgNr" type="text" ng-model="form.fetchOrgNr" placeholder="Organisationsnummer" ng-required="true" ng-pattern="/^[0-9]{10}$/" /></p>
						<div ng-messages="fetchForm.orgNr.$error" ng-show="fetchForm.orgNr.$touched">
							<p class="form-feedback error" ng-message="required">Ange organisationsnummer</p>
							<p class="form-feedback error" ng-message="pattern">Tio siffror utan bindestreck</p>
						</div>
					</div>
				</fieldset>
			<p class="col-1-2">
				<button class="update" ng-click="fetchRecords()">Hämta Bolag</button>
			</p>

			</form>
		</div>
	</div>
	<div ng-show="fetched">
  	<header class="row clearfix no-padding">
  		<div class="col-2-3">
			<h2>{{orgNr}} - {{companyName}}</h2>
		</div>
	</header>
	<div ng-show="fetched" class="row clearfix fake-table">
		<ul class="col-1 clearfix">
			<li class="col-1 fake-row-heading clearfix">
				<ul class="col-1">
					<li class="col-1-3 fake-heading">Moderbolag</li>
					<li class="col-1-6 fake-heading">Ägarandel (%)</li>
					<li class="col-1-3 fake-heading">Koncernmoder</li>
					<li class="col-1-6 fake-heading">Antal Nivåer</li>
				</ul>
			</li>
			<li class="col-1 fake-row clearfix" ng-repeat="record in records | orderBy: 'orgNrMother'">
				<ul class="col-1">
					<li ng-show="record.levels > 2" class="col-1-3"><span ng-click="fetchRecords(record.orgNrMother)">{{record.orgNrMother}} - {{record.motherName}}</span></li>
					<li ng-hide="record.levels > 2" class="col-1-3"><span >{{record.orgNrMother}} - {{record.motherName}}</span></li>
					<li class="col-1-6"><span>{{record.percentageOwned}}</span></li>
					<li ng-show="record.levels > 2" class="col-1-3"><span ng-click="fetchRecords(record.orgNrGroupMother)">{{record.orgNrGroupMother}} - {{record.groupMotherName}}</span></li>
					<li ng-hide="record.levels > 2" class="col-1-3"><span>{{record.orgNrGroupMother}} - {{record.groupMotherName}}</span></li>
					<li class="col-1-6"><span>{{record.levels}}</span></li>
				</ul>
			</li>
		</ul>	
	</div>
	</div>
</div>